List GCP cloud resources
API to get GCP cloud resources from discovery insights.
Path Parameters
- accountId int64 required
Cloud Rewind account ID.
- projectId string required
Cloud Rewind project ID.
- cloudConnectionId int64 required
GCP cloud connection ID.
Query Parameters
- protectionStatus string
- resourceName string
- resourceType string
- isBillable boolean
- sortBy string
Default value:
resourceName - sortOrder string
Default value:
asc - filter string
Header Parameters
- Range string
Default value:
items=1-100
- 200
- 401
- 403
- 404
- 409
- 412
- 500
OK
- */*
- Schema
- Example (from schema)
Schema array
- discoveryId int64
The unique identifier of the discovery process that discovered this resource.
- resourceId string
The unique identifier of the resource within the discovery process.
- cloudResourceId string
The unique identifier of the resource in the cloud provider's system.
- resourceName string
The name of the resource.
- resourceType string
The type of the resource (e.g., VM, Storage Bucket, Database).
- cloudType string
Cloud provider type (e.g., GCP, AWS, Azure).
- protectionStatus string
Protection status of the resource (e.g., protected, unprotected).
associatedAssemblies object
Associated assemblies for the resource, represented as a map of assembly identifiers to assembly names.
property name*stringtags object
Tags associated with the resource, represented as a map of tag keys to tag values.
property name*string- isBillable boolean
Indicates whether the resource is billable.
[
{
"discoveryId": 0,
"resourceId": "string",
"cloudResourceId": "string",
"resourceName": "string",
"resourceType": "string",
"cloudType": "string",
"protectionStatus": "string",
"associatedAssemblies": {},
"tags": {},
"isBillable": true
}
]
Unauthorized
- */*
- Schema
- Example (from schema)
Schema
errors object[]
code stringmessage stringtype stringfieldErrors object
property name*string- message string
- requiredPermissions string[]
{
"errors": [
{
"code": "string",
"message": "string",
"type": "string"
}
],
"fieldErrors": {},
"message": "string",
"requiredPermissions": [
"string"
]
}
Forbidden
- */*
- Schema
- Example (from schema)
Schema
errors object[]
code stringmessage stringtype stringfieldErrors object
property name*string- message string
- requiredPermissions string[]
{
"errors": [
{
"code": "string",
"message": "string",
"type": "string"
}
],
"fieldErrors": {},
"message": "string",
"requiredPermissions": [
"string"
]
}
Not Found
- */*
- Schema
- Example (from schema)
Schema
errors object[]
code stringmessage stringtype stringfieldErrors object
property name*string- message string
- requiredPermissions string[]
{
"errors": [
{
"code": "string",
"message": "string",
"type": "string"
}
],
"fieldErrors": {},
"message": "string",
"requiredPermissions": [
"string"
]
}
Conflict
- */*
- Schema
- Example (from schema)
Schema
errors object[]
code stringmessage stringtype stringfieldErrors object
property name*string- message string
- requiredPermissions string[]
{
"errors": [
{
"code": "string",
"message": "string",
"type": "string"
}
],
"fieldErrors": {},
"message": "string",
"requiredPermissions": [
"string"
]
}
Precondition Failed
- */*
- Schema
- Example (from schema)
Schema
errors object[]
code stringmessage stringtype stringfieldErrors object
property name*string- message string
- requiredPermissions string[]
{
"errors": [
{
"code": "string",
"message": "string",
"type": "string"
}
],
"fieldErrors": {},
"message": "string",
"requiredPermissions": [
"string"
]
}
Internal Server Error
- */*
- Schema
- Example (from schema)
Schema
errors object[]
code stringmessage stringtype stringfieldErrors object
property name*string- message string
- requiredPermissions string[]
{
"errors": [
{
"code": "string",
"message": "string",
"type": "string"
}
],
"fieldErrors": {},
"message": "string",
"requiredPermissions": [
"string"
]
}